## tuxcmd-modules 0.6.50+dfsg

=== Makefile ===
SUBDIRS = zip unrar libarchive gvfs

all install clean shared static::
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done; \

modules: all
