=== gnome_vfs/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

# compiler options
CC = gcc
CFLAGS = -Wall -O2 -g 			\
	-D_GNU_SOURCE 			\
	-D_FILE_OFFSET_BITS=64		\
	-D_LARGEFILE_SOURCE		\
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED


all shared static: gnome_vfs


gnome_vfs: gnome_vfs.c
	$(CC) -c gnome_vfs.c -I. -fPIC -I/usr/include $(CFLAGS) `pkg-config gnome-vfs-2.0 --cflags`
	$(CC) -shared -Wall -o libgnome_vfs.so gnome_vfs.o `pkg-config gnome-vfs-2.0 --libs`

install::
	$(INSTALL) ./libgnome_vfs.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o *.d libgnome_vfs.so
