=== gvfs/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644

# compiler options
CC = gcc
CPP = g++
CFLAGS =-I. -I/usr/include \
	-Wall -fPIC -O2 -g \
	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE


LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

# VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o
VFS_COMMON_OBJECTS=

VFS_OBJECTS=gvfs.o


.SUFFIXES: .c .cpp
.c.o:
	$(CC) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --cflags` -c $<
.cpp.o:
	$(CPP) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --cflags` -c $<


all shared static: libgvfs_plugin.so

libgvfs_plugin.so: $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS)
	$(CPP) -shared -o libgvfs_plugin.so $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --libs`

strutils.o: strutils.c strutils.h
treepathutils.o: treepathutils.c treepathutils.h
vfsutils.o: vfsutils.c vfsutils.h
treepath_vfs.o: treepath_vfs.c treepath_vfs.h

install::
	$(INSTALL) ./libgvfs_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o *.d *.gch libgvfs_plugin.so
