## tuxcmd-modules 0.6.70%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SUBDIRS = zip unrar libarchive gvfs
+SUBDIRS = zip libarchive gvfs
 
 all install clean shared static::
 	target=`echo $@ | sed s/-recursive//`; \
