## tuxcmd-modules 0.6.70%2bds

=== debian/changelog ===
tuxcmd-modules (0.6.70+ds-2build1) precise; urgency=low

  * No-change rebuild against libarchive12.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Mar 2012 11:04:11 +0100

tuxcmd-modules (0.6.70+ds-2) unstable; urgency=low

  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * Bump Debhelper compat level to 8.
    Adjust Build-Depends on debhelper to (>= 8).
  * Refresh debian/copyright file.
    Update format to revision 174 of DEP5 for machine-readable copyright
    file information.
    Adjust copyright years for debian/* packaging
  * Drop DM-Upload-Allowed field in debian/control
  * Bump Standards-Version to 3.9.2
  * Add Fix-FTBFS-because-removal-of-ARCHIVE_LIBRARY_VERSION.patch patch.
    Fix build failure because of removal of ARCHIVE_LIBRARY_VERSION. Use
    ARCHIVE_VERSION_STRING instead.
    Thanks to Andres Mejia <amejia@debian.org> for the bugreport and patch.
    (Closes: #653233)
  * Refresh debian/tuxcmd-modules.lintian-overrides.
    Adjust override string to new tag name 'embedded-library'.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Dec 2011 23:44:42 +0100

tuxcmd-modules (0.6.70+ds-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - Drop 01_Makefile_without_unrar.patch since upstream split up the
      tuxcmd-modules package into tuxcmd-modules and tuxcmd-modules-unrar.
    - Refresh 02_do_not_install_in_lib64_for_amd64.patch patch. 
    - Drop separate_archiving_and_networking_mode.patch which is integrated
      upstream.
  * Update README.Debian to reflect the current content of tuxcmd-modules. 
  * Remove comments from debian/watch since upstream source location can be
    monitored again. 
  * debian/copyright: Refresh copyright years and add missing copyright stanza
    for gvfs/gvfs.c 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 17 Nov 2009 23:16:03 +0100

tuxcmd-modules (0.6.69+dfsg-2) unstable; urgency=low

  * Pick patch from upstream's git repository separating archiving and
    networking mode (Closes: #556253). 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 15 Nov 2009 14:26:32 +0100

tuxcmd-modules (0.6.69+dfsg-1) unstable; urgency=low

  * New upstream version
  * debian/copyright: Referesh and update to machine readable format
    specification as proposed by DEP5.
  * debian/control:
    - Update (Build-)Depends on tuxcmd to be versioned on (>= 0.6.69).
    - Bump Standards-Version to 3.8.3 (no changes). 
  * Refresh debian/patches and update patch headers. 
  * Convert to '3.0 (quilt)' source package format. Drop explicit build
    dependencies in debian/control and debian/rules.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 08 Nov 2009 22:03:01 +0100

tuxcmd-modules (0.6.50+dfsg-2) unstable; urgency=low

  * debian/control:
    - Add Build-Depends on tuxcmd to prevent build on architectures
      where tuxcmd is not present, and thus not having it uninstallabe
      on architectures where tuxcmd is not available. Thanks to
      Luk Claes (Closes: #540725).
    - Add DM-Upload-Allowed: yes field, since I'm a DM now.
    - Bump Standards-Version to 3.8.2 (no changes needed) 
  * Move patches from dpatch to quilt (adjust control file and 
    README.source accordingly).
  * debian/copyright:
    - Adjust copyright for debian/* packaging and use DEP5 proposal
      format.
    - Adjust refrence to GPL-2 text.
  * Use minimized debian/rules file using dh commands, add override
    targets and adjust Build-Depends on quilt and debhelper to required
    versions.
  * Update headers of debian/patches/* using DEP3 Patch Tagging Guidelines. 
  * Add lintian-overrides for embedded-zlib. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 10 Aug 2009 15:49:25 +0200

tuxcmd-modules (0.6.50+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #508082)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 15 Dec 2008 21:26:20 +0100
