=== zip/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE \
 	-D__VERBOSE_DEBUGx
 
-LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`
+LIB_SUFFIX=`if test \`uname -m\` = x86_64 -o \`uname -m\` = ppc64; then echo 64; fi`
 
 
 VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o
