=== debian/changelog ===
tuxcmd-modules (0.6.70+ds-6) unstable; urgency=medium

  * QA upload.
  * Actually apply a patch by Helmut Grohne to make it possible to cross-build
    tuxcmd-modules. This change was missing from the previous 0.6.70+ds-5.1
    upload; thanks to Vagrant Cascadian for spotting this. (Closes: #941296)

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Nov 2022 09:41:07 +0000

tuxcmd-modules (0.6.70+ds-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch by Vagrant Cascadian to ensure that tuxcmd-modules does not
    embed build paths in various binaries. (Closes: #1011500)
  * Apply a patch by Helmut Grohne to make it possible to cross-build
    tuxcmd-modules. (Closes: #941296)

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Nov 2022 17:15:30 +0000

tuxcmd-modules (0.6.70+ds-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group
  * Bump Standards-Version to 3.9.4
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2013 22:00:35 +0200

tuxcmd-modules (0.6.70+ds-4) unstable; urgency=low

  * Add fix-FTBFS-with-gcc-4.7.patch patch.
    Fix FTBFS with new GCC 4.7 and add GCC 4.7 compatibility.
    Thanks to Matthias Klose <doko@debian.org> for the report. (Closes: #667402)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Apr 2012 22:15:48 +0200

tuxcmd-modules (0.6.70+ds-3) unstable; urgency=low

  * Add glib-single-include.patch patch.
    Include now glib.h directly as including individual glib headers has
    been deprecated. (Closes: #665622)
  * Update debian/copyright information.
    Update format url to refer to copyright-format 1.0. No changes needed to
    the format.
    Update copyright years for debian/* packaging.
  * Bump Debhelper compat level to 9.
    Adjust versioned Build-Depends on debhelper to (>= 9).
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 24 Mar 2012 22:00:57 +0100
