=== debian/control ===
Source: tuxcmd-modules
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), tuxcmd (>= 0.6.69),
 libarchive-dev, libbz2-dev, libglib2.0-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://tuxcmd.sourceforge.net

Package: tuxcmd-modules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tuxcmd (>= 0.6.69)
Recommends: gvfs-backends
Description: VFS modules for tuxcmd file manager
 This package contains additional VFS modules for tuxcmd. It 
 provides the modules for GVFS and zip plugins.
 .
  * GVFS plugin: read/write access to network resources (FTP, 
    SSH/SFTP, SMB, WebDAV) 
  * zip plugin:
    - full read/write support for ZIP archives
    - full support for Unix file and directory permissions
    - password protection support (read/write)
  * libarchive plugin:
    - read-only support for tar, tar.gz, tar.bz2, iso (CD
      images/ISO9660), cpio, ar and deb archives
