=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://sf.net/tuxcmd/tuxcmd-modules-([\d\.]*)\.tar\.bz2
